import React from 'react';

import './home.scss';

import Sidebar from '../../components/sidebar/Sidebar';

export default class Home extends React.Component {
    state = {
        videoURL: 'https://gcs-vimeo.akamaized.net/exp=1562893179~acl=%2A%2F1021052489.mp4%2A~hmac=6ef33efd6a7867f05a06d888e576e87a48b2f33f42ca65ed7e78cd0d7a5cf3b0/vimeo-prod-skyfire-std-us/01/2799/9/238996987/1021052489.mp4'
    }

    render() {
        return (
            <>
                <Sidebar/>
                <div className="hero">
                    <div className="container-wrap">
                        <h1>International competitions among professionals and amateurs</h1>                       
                    </div>                    

                    <div className="bg"></div>
                    <div className="bg-img"></div>

                    <video id="background-video" loop autoPlay>
                        <source src={this.state.videoURL} type="video/mp4" />
                        <source src={this.state.videoURL} type="video/ogg" />
                        Your browser does not support the video tag.
                    </video>
                </div>
            </>
        )
    }
}
